### Method

# Pango.FontFamily.list_faces

#### Declaration [src]

    void
    pango_font_family_list_faces (
      PangoFontFamily* family,
      PangoFontFace*** faces,
      int* n_faces
    )

#### Description [src]

Lists the different font faces that make up `family`.

The faces in a family share a common design, but differ in slant, weight, width and other aspects.

#### Parameters

`faces` | An array of `PangoFontFace`
| location to store an array of pointers to `PangoFontFace` objects, or `NULL`. This array should be freed with `g_free()` when it is no longer needed.
| Direction: out
| The length of the array is in the `n_faces` argument
| Ownership of the container type is transferred to the callee
`n_faces` | `int*`
| location to store number of elements in `faces`.
| Direction: out
| Ownership of the data is transferred to the callee